Bug 249497 - [totem][ppc] - Totem is not opening, showing error
[totem][ppc] - Totem is not opening, showing error
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: totem (Show other bugs)
5.1
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
desktop-bugs@redhat.com
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 02:22 EDT by Satyabrata Maitra
Modified: 2009-04-07 10:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 10:56:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gstreamer-plugins and totem versions installed in system (539 bytes, text/plain)
2007-07-25 02:22 EDT, Satyabrata Maitra
no flags Details
error giving in g-t (211 bytes, text/plain)
2007-07-25 02:23 EDT, Satyabrata Maitra
no flags Details
error giving via graphical screen (5.38 KB, image/png)
2007-07-25 02:24 EDT, Satyabrata Maitra
no flags Details
rpm -V query result in .txt file (11.65 KB, text/plain)
2007-07-25 04:14 EDT, Satyabrata Maitra
no flags Details
steps followed .txt (11.23 KB, text/plain)
2007-07-26 05:18 EDT, Satyabrata Maitra
no flags Details
rpm -V gstreamer .txt once again attached -same as comment #7 (11.23 KB, text/plain)
2007-07-26 05:22 EDT, Satyabrata Maitra
no flags Details
steps followed .txt. its the right one. (7.26 KB, text/plain)
2007-07-26 05:23 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Satyabrata Maitra 2007-07-25 02:22:11 EDT
Description of problem:
Totem is showing error while opening in PPC stable system for RHEL5-Server.
Errors are attached here.
Its showing additional gstreamer plugins error and sound card not detected error!
When try to open as root user from g-t, with the command totem &, its showing
error in g-t  :- "error while loading shared libraries: libtotem-plparser.so.1:
cannot open shared object file: No such file or directory"

And while opening as normal user, its showing graphical message. Screenshot
attached here.


Version-Release number of selected component (if applicable):
totem-2.16.4-2.el5

How reproducible:
Always

Steps to Reproduce:
1. Login in PPC RHEl5-Server stable system
2. Open Totem graphically or via command line
3. Observe the errors in both cases.
  
Actual results:
It is not opening

Expected results:
It should atleast open properly

Additional info:
The rpms of gstremer-plugins and totem versions installed in ppc system is given
as an attachment. pls see.
Comment 1 Satyabrata Maitra 2007-07-25 02:22:12 EDT
Created attachment 159902 [details]
gstreamer-plugins and totem versions installed in system
Comment 2 Satyabrata Maitra 2007-07-25 02:23:43 EDT
Created attachment 159903 [details]
error giving in g-t
Comment 3 Satyabrata Maitra 2007-07-25 02:24:35 EDT
Created attachment 159904 [details]
error giving via graphical screen
Comment 4 Bastien Nocera 2007-07-25 03:52:57 EDT
You're not supposed to install both ppc32 and ppc64 versions of Totem, and if
yum/rpm allow you to do that, it's a bug.

The rpm listing is useless as well, as it's missing the arches. One of the
packages is clearly not installed properly, as the playlist parser library
(which is in the main package) didn't get installed.

Please attach an rpm listing with the arches listed, and check that "rpm -V"
doesn't come up with any errors.
Comment 5 Satyabrata Maitra 2007-07-25 04:14:21 EDT
Created attachment 159906 [details]
rpm -V query result in .txt file

Hi Nocera

First of all, I did not installed totem or gstreamer by myself in the system.
It was installed already. And both the versions (ppc32 and ppc64 was installed)
Then I removed all 64 packages of gstreamer-* via yum. Still not running.

I did rpm -V query for both totem and gstreamer...
Output is attached here.
Please inform what next to do to make it runned properly.
Comment 6 Bastien Nocera 2007-07-25 04:19:41 EDT
S.5....T   /usr/bin/totem
S.5....T   /usr/bin/totem-video-thumbnailer

Only one version of totem should be installed. Either the 32-bit, or the 64-bit
version, not both. And make sure that the arch of the plugins and core of
gstreamer installed match the arcg of the totem version installed.

$ rpm -V gstreamer-plugins
package gstreamer-plugins is not installed
There's no package called that, it's either gstreamer-plugins-base or
gstreamer-plugins-good.
Comment 7 Satyabrata Maitra 2007-07-26 05:18:28 EDT
Created attachment 159999 [details]
steps followed .txt

Hi Nocera
Ok, I followed the instructions and removed all the 64 bit packages for totem
and gstreamer-* from the ppc system. Still totem is showing following error in
g-t :-

" Error while loading shared libraries: libtotem-plparser.so.1: can not open
shared object file : No such file or directory"

Two .txt file attached here :
1. The query of rpm -V is given as attachment
2 [details]. The steps followed and action performed in g-t sequentially, is also pasted
in 
   a .txt file. Pls see it. and inform if ahything to be done.
Comment 8 Satyabrata Maitra 2007-07-26 05:20:30 EDT
Sorry the immediate above attachment  in comment #7 is for rpm -V output .txt,
not for steps followed .txt.
Comment 9 Satyabrata Maitra 2007-07-26 05:22:27 EDT
Created attachment 160000 [details]
rpm -V gstreamer .txt once again attached -same as comment #7
Comment 10 Satyabrata Maitra 2007-07-26 05:23:25 EDT
Created attachment 160001 [details]
steps followed .txt. its the right one.
Comment 11 Bastien Nocera 2007-07-26 16:58:37 EDT
The installation is still broken:
S.5....T   /usr/bin/totem
S.5....T   /usr/bin/totem-video-thumbnailer

libtotem-plparser.so.1 is shipped with totem itself. Try running ldconfig.

Is there any point to this bug report? I don't want to spend my time trying to
unbreak a broken installation...

Note You need to log in before you can comment on or make changes to this bug.